---
title: Highlights in gRPConf 2024:Customer Showcase, Developer Engagement, Birds of Feathers Discussions and more.
date: 2024-11-25
---

We loved hosting gRPConf 2024 this summer in Sunnyvale, California. Thank you to 
hundreds of developers from Netflix, Apple, Turso, Microsoft, Cisco, Coinbase, 
LinkedIn, Datadog, Mercari, Aspect Build, Signeen, Authzed, Reboot.dev, 
to name a few, who joined our special event. We were overwhelmed by the 
various topics and advanced use cases around the gRPC ecosystem. If you missed 
the opportunity to join in person, here are the video recordings that highlight 
the presentations during the day:

- [[gRPConf 2024 Keynote] Welcome! | Kevin Nilson, Google](https://youtu.be/HK2mxpBedcg)
- [[gRPConf 2024 Keynote] State of gRPC | Abhishek Kumar, Google](https://youtu.be/aTVFx0YaDFo)
- [[gRPConf 2024 Keynote] Overview of gRPC | Ivy Zhuang, Google](https://youtu.be/sImWl7JyK_Q)
- [[gRPConf 2024 Keynote] Industry Trends and gRPC | Muninder Sambi & Anoop Vetteth, Google](https://youtu.be/p80PVtLW8eg)
- [Ten Years of gRPC | Jung-Yu (Gina) Yeh & Richard Belleville, Google](https://youtu.be/5dMK5OW6WSw)
- [Reducing gRPC Call Volume Through Caching and Batching | Benjamin Fedorka, Netflix](https://youtu.be/0g5Ef3mVOKg)
- [Building a New gRPC Library in Swift | George Barnett, Apple](https://youtu.be/7maAI9Z3-II)
- [gRPC Rust | Doug Fawley, Google, and Lucio Franco, Turso](https://youtu.be/8oj1nPt6L0Y)
- [How Low Can You Go? A Dive into gRPC and ttRPC | Archana Choudhary & Sudipta Pandit, Microsoft](https://youtu.be/9nyUyUD4jwM)
- [Dynamic Policy Enforcement for Privacy Techniques in Microservice Architectures | Rami Haddad, Cisco](https://youtu.be/DrikBWJZ0uA)
- [Load Balancing in gRPC | Easwar Swaminathan, Google](https://youtu.be/G6PRjmXuBG8)
- [Enhancing gRPC micro-services | Holly Casaletto and Yucong Sun, Coinbase](https://youtu.be/GDJrw36wwWY)
- [gRPC and AI | Eric Anderson & Yuexin Li, Google](https://youtu.be/IZsYnCftm7w)
- [High Performance Service Meshes with gRPC Proxyless | Jung-Yu (Gina) Yeh & Arvind Bright, Google](https://youtu.be/LIiprzx6avM)
- [Managing Protocol Buffers at Scale | Richard Belleville & Terry Wilson, Google](https://youtu.be/S6iudSfAEmY)
- [Rethinking Data Flow in gRPC-Go: | Ricardo Fernández Alvarado & Easwar Swaminathan, Google](https://youtu.be/SjWa636dpP8)
- [Dos and Don’ts: Designing an xDS Backend for the LinkedIn Scale | Paul Chesnais, LinkedIn](https://youtu.be/_GDyu2FOiA0)
- [Adapting our xDS control plane for proxyless gRPC | Antoine Tollenaere, Datadog](https://youtu.be/gc3kNMvgrHQ)
- [gRPC APIs under One Roof: Mastering gRPC Federation for Efficient BFFs | Shuhei Kitagawa, Mercari](https://youtu.be/ihzQp3phKCU)
- [A Deep Dive into Advanced TLS | Andrey Ermolov & Gregory Cooke, Google](https://youtu.be/m9kCnYgoac8)
- [Powering Cisco ThousandEyes high-performant data streams w/ gRPC & OpenTelem. | Vitaly Kumov, Cisco](https://youtu.be/nuG_7HflISU)
- [Building Monorepo gRPC Services with Bazel | Alex Eagle, Aspect Build](https://youtu.be/p9xzHg0Rk4U)
- [gRPC Metadata Limits: The Good, the Bad, and the Ugly | Alisha Nanda, Google](https://youtu.be/psYQFbPgIOI)
- [Fortifying gRPC Microservices: Beyond JWT with mTLS and SPIFFE | Mehrdad Afshari, Signeen](https://youtu.be/qFSHoxs8i2Q)
- [gRPC Performance and Testing: a Maintainer Perspective | Ashley Zhang & Adam Heller, Google](https://youtu.be/uQh9ZVGkrak)
- [Building SpiceDB: a gRPC-first database | Jimmy Zelinskie, authzed](https://youtu.be/v_e2ExQwphQ)
- [Enabling Distributed Transactions Across Microservices using gRPC | Benjamin Hindman, reboot.dev](https://youtu.be/zVhvJXdyXLY)
- [Subsetting in gRPC: How we implemented it at Datadog | Sergey Matyukevich, Datadog](https://youtu.be/Rf1V6M6SDr4)

![Conference Gate](/img/grpc-conf-2024-image1.jpg)

![Kevin Opening Keynote](/img/grpc-conf-2024-image2.jpg)

![Abhishek Keynote: State of gRPC](/img/grpc-conf-2024-image3.jpg)

![Ivy Zhuang Keynote Talk: Overview of gRPC](/img/grpc-conf-2024-image4.jpg)

![gRPConf 2024 Audiences ask questions](/img/grpc-conf-2024-image5.jpg)

![gRPConf 2024 Audiences](/img/grpc-conf-2024-image6.jpg)

We received a wealth of feedbacks from everyone throughout the day which has 
helped us shape our future roadmap. Stay tuned to gRPC on many platforms for new
releases, announcements and events:
* [gRPC YouTube Channel](https://www.youtube.com/@grpcio)
* [gRPC Meetup Group](https://www.meetup.com/grpcio/)
* [Website](https://grpc.io)
* [Blog](https://grpc.io/blog/)
* [GitHub](https://github.com/grpc)
* [Google Group Forum](https://groups.google.com/g/grpc-io)
* [Twitter](https://twitter.com/grpcio)
