---
title: Configuring proxyless gRPC with Kubernetes Gateway API and OpenTelemetry metrics for Cloud Service Mesh now available in preview
date: 2024-09-12
---

We are excited to announce that configuring proxyless gRPC with the Kubernetes Gateway API and OpenTelemetry metrics for Cloud Service Mesh are now available as preview features. This integration allows you to leverage the powerful capabilities of the Kubernetes Gateway API to manage traffic to your gRPC services within the Cloud Service Mesh environment, along with the added benefit of gRPC OpenTelemetry metrics for enhanced observability.

{{< youtube id="BwFBYLa5mgY" class="youtube-video" title="Single Cluster Gateway for Mesh and gRPC Observability in Cloud Service Mesh" >}}

### What's new:
- **Kubernetes Gateway API Integration**: Now you can use the Kubernetes Gateway API to define and manage traffic routing for services running in your Cloud Service Mesh. This provides a more standardized and flexible approach to managing ingress and traffic management within your Kubernetes clusters.
- **gRPC OpenTelemetry Metrics for Cloud Service Mesh**: Gain deeper insights into your gRPC services with integrated OpenTelemetry metrics, providing valuable observability data for monitoring and troubleshooting.

### Benefits:
- **Simplified traffic management**: The Kubernetes Gateway API provides a declarative way to manage traffic routing, making it easier to configure and manage ingress for your services.
- **Enhanced observability**: gRPC OpenTelemetry metrics for Cloud Service Mesh provide valuable insights into the performance and health of your gRPC services, aiding in monitoring and troubleshooting.

### Get started:
To learn more about how to configure Cloud Service Mesh with the Kubernetes Gateway API and try out this new feature, check out our [documentation and tutorials](https://cloud.google.com/service-mesh/docs/gateway/proxyless-grpc-mesh). More information on OpenTelemetry Metrics for Cloud Service Mesh can be found in our [documentation](https://cloud.google.com/service-mesh/docs/service-routing/observability-proxyless-grpc).

We are eager to hear your feedback on these new features. Please share your thoughts and experiences through our community channels.

